Subject: Re: R_PPC_ADDR16_HI relocs in PPC modules ?

From: Simon Vallet <[email-masked]>
Date: Wed, 3 Jan 2007 11:32:38 +0100

On Wed, 03 Jan 2007 20:58:12 +1100
Benjamin Herrenschmidt <[email-masked]> wrote:

> Doh ! I've been in "contact" with that driver in a previous life... it's
> a whole bunch of horrid C++ with windows wrappers all over... or did
> they improve it ? It's still an ST chip ?

Well -- obviously I can't tell much about the source ;-), but it
certainly looks like C++ to me. The last version of the driver is some
years old, actually, so it probably hasn't changed much since you were
"in contact" with it -- and yes, as far as I know the card still uses an
ST chipset.

Since you're somewhat familiar with this driver, do you
think the ELF translation approach is a viable one ?

Simon